Maven plugin for gradle compatible with android library projects
Groovy Java

README.md

GitHub license Build Status Stories in Ready codecov.io Maven Central

Gradle Android Maven plugin

Modification to the standard Maven plugin to be compatible with android-library projects (aar).

Usage

To use the android-maven-gradle-plugin, just apply the plugin in your android-library project. Also add the plugin classpath dependency to the buildScript.

buildscript {
    repositories {
        mavenCentral()
    }

    dependencies {
        classpath 'com.github.dcendents:android-maven-gradle-plugin:1.5'
    }
}

apply plugin: 'com.android.library'
apply plugin: 'com.github.dcendents.android-maven'

Or use the new syntax since Gradle 2.1

plugins {
  id "com.github.dcendents.android-maven" version "1.5"
}

You can set the maven groupId and version in the script build.gradle:

group = 'com.example'
version = '1.0'

The artifactId is set in settings.gradle:

rootProject.name = 'artifact'

Note:

    compile('com.group:lib-module:1.0') {
            exclude group: 'com.exclusion.group', module: 'module.name'
    }

Documentation

Please refer to the standard Maven plugin documentation: http://gradle.org/docs/current/userguide/maven_plugin.html

Note on Releases

The following table shows the compatibility between the android-maven-gradle-plugin and gradle versions. It also lists the plugin name to use:

Plugin Version Plugin Name Dependency Information Gradle Version
1.0 android-maven com.github.dcendents:android-maven-plugin:1.0 1.8+
1.1 android-maven com.github.dcendents:android-maven-plugin:1.1 1.12+
1.2 com.github.dcendents.android-maven com.github.dcendents:android-maven-plugin:1.2 2.2+
1.3 com.github.dcendents.android-maven com.github.dcendents:android-maven-gradle-plugin:1.3 2.4+
1.4.1 com.github.dcendents.android-maven com.github.dcendents:android-maven-gradle-plugin:1.4.1 2.14+
1.5 com.github.dcendents.android-maven com.github.dcendents:android-maven-gradle-plugin:1.5 3.0+

Build Metrics

Build Status codecov.io Dependency Statuscodecov.io Throughput Graph

License

Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at

http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.